Subject: Re: [PATCH v4 0/7] strbuf cleanups

From: Felipe Contreras <[email-masked]>
Date: Mon, 08 May 2023 20:13:18 -0600

Elijah Newren wrote:
> On Mon, May 8, 2023 at 9:57 AM Calvin Wan <[email-masked]> wrote:

> > Range-diff against v3:
> > -:  ---------- > 1:  e0dd3f5295 strbuf: clarify API boundary
> 
> Huh?  I thought v3 had this patch.  v2 certainly did, and with the
> same contents.  Did you just give the wrong range for the range-diff?
> 
> Aside: Can I plug gitgitgadget for a minute?

I guess I can plug git-send-series [1] as well.

>   * handles the range-diff consistently
>   * sets up reply-to nicely

Same with git-send-email.

>   * ensures testing on a variety of platforms
>   * makes it _trivial_ to download the series via a simple fetch, with
> remote/branch/command documented in the cover letter

This is orthogonal to sending a patch series, but anyone pushing to
GitHub can do that.

Advantages of git-send-email that gitgitgadget doesn't have:

 * Everything about it can be handled locally
 * It's a standalone script fully in your control
 * It's not tied to any organization or corporation

[1] https://github.com/felipec/git-send-series

-- 
Felipe Contreras